package com.happy.service;

import com.happy.Model.Hotel;
import com.happy.Model.HotelDict;
import com.happy.dto.IPage;

import java.util.List;
import java.util.Map;

public interface HotelService {

    /**
     * 描述：新增
     * @param hotel
     * @return
     */
    int insertHotel(Hotel hotel);

    /**
     * 描述：修改
     * @param hotel
     * @return
     */
    int updateHotel(Hotel hotel);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delHotel(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    Hotel getById(int id);

    /**
     * 描述：根据managerId查询详细
     * @param id
     * @return
     */
    Hotel getByManagerId(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<Hotel> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：分页查询带最低价
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<Hotel> queryPagePrice(String sqlx, int page, int rows);

    /**
     * 描述：优选分页查询带最低价
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<Hotel> queryPreferredPagePrice(String sqlx, int page, int rows);

    /**
     * 描述：精选分页查询带最低价
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<Hotel> querySelectedPagePrice(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<Hotel> queryList(String sqlx);

    /**
     * 获取酒店配置字典map
     * @return
     */
    Map queryHotelDicMap();

    /**
     * 描述：查询一条数据
     * @param sqlx
     * @return
     */
    Hotel getOen(String sqlx);
}
